Subject: Re: subversion-perl missing

From: Georg-Johann Lay <[email-masked]>
Date: Mon, 26 Sep 2011 16:51:22 +0200

Michael J Gruber schrieb:
> Georg-Johann Lay venit, vidit, dixit 26.09.2011 15:41:
>> Michael J Gruber schrieb:
>>> Georg-Johann Lay venit, vidit, dixit 26.09.2011 13:48:
>>>> Hi, I just downloaded git and built from source, version is
>>>>
>>>> git version 1.7.6.4
>>>>
>>>> I am particularly interested in git-svn, but running it I get complaints
>>>>
>>>> Initialized empty Git repository in /local/Downloads/v4.5.x/.git/
>>>> Can't locate SVN/Core.pm in @INC (@INC contains:
>>>> /usr/local/lib/perl5/site_perl/5.10.0/i586-linux-thread-multi
>>>> /usr/local/lib/perl5/site_perl/5.10.0
>>>> /usr/lib/perl5/5.10.0/i586-linux-thread-multi /usr/lib/perl5/5.10.0
>>>> /usr/lib/perl5/site_perl/5.10.0/i586-linux-thread-multi
>>>> /usr/lib/perl5/site_perl/5.10.0
>>>> /usr/lib/perl5/vendor_perl/5.10.0/i586-linux-thread-multi
>>>> /usr/lib/perl5/vendor_perl/5.10.0 /usr/lib/perl5/vendor_perl .) at
>>>> /usr/local/libexec/git-core/git-svn line 42
>>>>
>>>> I found out that a module like subversion-perl is missing, but installing it
>>>> via OpenSuse 1.11 would downgrade my SVN installation, so I skipped that.
>>> So, where did you get your svn from? If you compiled it yourself, you
>>> should rebuild it with the perl bindings. Make sure you note where you
>>> install this to - you may have to adjust your PERL5LIB.
>> Hi Michael
>>
>> svn identifies itself as
>>
>>  > svn --version
>>
>> svn, version 1.6.2 (r37639)
>>    compiled Jun 19 2009, 12:21:15
>>
>> Copyright (C) 2000-2009 CollabNet.
>> Subversion is open source software, see http://subversion.tigris.org/
>> This product includes software developed by CollabNet (http://www.Collab.Net/).
>>
>> The following repository access (RA) modules are available:
>>
>> * ra_neon : Module for accessing a repository via WebDAV protocol using Neon.
>>   - handles 'http' scheme
>>   - handles 'https' scheme
>> * ra_svn : Module for accessing a repository using the svn network protocol.
>>   - with Cyrus SASL authentication
>>   - handles 'svn' scheme
>> * ra_local : Module for accessing a repository on local disk.
>>   - handles 'file' scheme
>>
>> and its installed in
>>
>>  > which svn
>>
>> /usr/bin/svn
>>
>>  > echo $PERL5LIB
>>
>> <empty>
>>
>> so looks like plain vanilla installation/build.
>>
>> Is "perl bindings" the "subversion-perl" package (which likes to downgrade my
>> svn upon installing in yast)?
> 
> Yes, subversion-perl are the perl bindings, and if your distro has
> mismatching versions of subversion and subversion perl, then they have a
> problem, sorry :|
>> Is it a part of SVN (couln't find it there) or of perl?

I could find
http://svn.apache.org/repos/asf/subversion/trunk/subversion/bindings/swig/INSTALL
and hope that explains the trick so that a noob like me doesn't get lost...

Many, many thanks for your help Michael!

Johann